package com.gic.haoban.manage.service.task;

import com.alibaba.fastjson.JSONObject;
import com.gic.binlog.base.entity.GicRecord;
import com.gic.clerk.api.service.ClerkService;
import com.gic.haoban.contacts.manage.api.service.StoreService;
import com.gic.haoban.manage.api.service.StaffApiService;
import org.apache.commons.lang3.StringUtils;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.listener.MessageListener;

/**
 * Created 2019/4/10.
 *
 * @author hua
 */
public class KafkaMessageServiceImpl implements MessageListener<String, GicRecord> {

    private final static Logger logger = LoggerFactory.getLogger(KafkaMessageServiceImpl.class);

    private  final String STORE = "tab_gic_store";

    private final  String CLERK = "tab_gic_clerk";
    
    @Autowired
    private StoreService storeService;

    @Autowired
	private ClerkService clerkService;
    
    @Autowired
    private StaffApiService staffApiService;

    @Override
    public void onMessage(ConsumerRecord<String, GicRecord> record) {
        logger.info("message：{}", JSONObject.toJSONString(record.value()));
        String message = JSONObject.toJSONString(record.value());
        if(StringUtils.isBlank(message)){
            return;
        }
    }


}
